# inspired from fedora spec file

%define php_libdir     %{_datadir}/php

Name:        php-markdown
Version:     1.9.0
Release:     %mkrel 3
Summary:     Markdown implementation in PHP

Group:       Development/PHP
License:     BSD
URL:         https://michelf.ca/projects/php-markdown/
Source0:     http://littoral.michelf.ca/code/php-markdown/%{name}-%{version}.tar.gz

BuildArch:   noarch
BuildRequires: php-fedora-autoloader-devel

Requires:    php >= 5.3
Requires:    php-pcre
Requires:    php-composer(fedora/autoloader)
Provides:    php-composer(michelf/php-markdown) = %{version}

%description
This is a PHP implementation of John Gruber's Markdown.
It is almost completely compliant with the reference implementation.

This packages provides the classic version %{classic_version} and the new
library version %{version}.

Autoloader: %{php_libdir}/Michelf/markdown-autoload.php


%prep
%setup -q

# documentation and licenses
mkdir -p library lic/library
mv Readme.* composer.json library
mv License.* lic/library

%build
# Generate simple autoloader
%{_bindir}/phpab \
    --template fedora \
    --output Michelf/markdown-autoload.php \
    Michelf
cat Michelf/markdown-autoload.php

%install
install -d %{buildroot}%{php_libdir}/

# PSR-0 library
cp -pr Michelf %{buildroot}%{php_libdir}/Michelf

%files
%doc lic/*
%doc library
%{php_libdir}/Michelf


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 1.9.0-3.mga8
+ Revision: 1539345
- Mageia 8 Mass Rebuild

* Sat Dec 07 2019 guillomovitch <guillomovitch> 1.9.0-2.mga8
+ Revision: 1465009
- new version 1.9.0

* Thu Sep 20 2018 umeabot <umeabot> 1.8.0-2.mga7
+ Revision: 1287654
- Mageia 7 Mass Rebuild

* Mon May 21 2018 guillomovitch <guillomovitch> 1.8.0-1.mga7
+ Revision: 1231053
- new version 1.8.0

* Tue Apr 18 2017 guillomovitch <guillomovitch> 1.7.0-1.mga6
+ Revision: 1096719
- imported package php-markdown

